/*
 * Generated by util/mkerr.pl DO NOT EDIT
 * Copyright 1995-2020 The OpenSSL Project Authors. All Rights Reserved.
 *
 * Licensed under the OpenSSL license (the "License").  You may not use
 * this file except in compliance with the License.  You can obtain a copy
 * in the file LICENSE in the source distribution or at
 * https://www.openssl.org/source/license.html
 */

#include <openssl/err.h>
#include "crypto/ecies/ecieserr.h"

#ifndef OPENSSL_NO_ERR

static const ERR_STRING_DATA ECIES_str_functs[] = {
    {ERR_PACK(ERR_LIB_ECIES, ECIES_F_D2I_ECIESPARAMETERS, 0),
     "d2i_ECIESParameters"},
    {ERR_PACK(ERR_LIB_ECIES, ECIES_F_ECIES_DECRYPT, 0), "ECIES_decrypt"},
    {ERR_PACK(ERR_LIB_ECIES, ECIES_F_ECIES_DO_DECRYPT, 0), "ECIES_do_decrypt"},
    {ERR_PACK(ERR_LIB_ECIES, ECIES_F_ECIES_DO_ENCRYPT, 0), "ECIES_do_encrypt"},
    {ERR_PACK(ERR_LIB_ECIES, ECIES_F_ECIES_ENCRYPT, 0), "ECIES_encrypt"},
    {ERR_PACK(ERR_LIB_ECIES, ECIES_F_I2D_ECIESPARAMETERS, 0),
     "i2d_ECIESParameters"},
    {0, NULL}
};

static const ERR_STRING_DATA ECIES_str_reasons[] = {
    {ERR_PACK(ERR_LIB_ECIES, 0, ECIES_R_BAD_DATA), "bad data"},
    {ERR_PACK(ERR_LIB_ECIES, 0, ECIES_R_BUFFER_TOO_SMALL), "buffer too small"},
    {ERR_PACK(ERR_LIB_ECIES, 0, ECIES_R_DECRYPT_FAILED), "decrypt failed"},
    {ERR_PACK(ERR_LIB_ECIES, 0, ECIES_R_ECDH_FAILED), "ecdh failed"},
    {ERR_PACK(ERR_LIB_ECIES, 0, ECIES_R_ENCRYPT_FAILED), "encrypt failed"},
    {ERR_PACK(ERR_LIB_ECIES, 0, ECIES_R_GEN_MAC_FAILED), "gen mac failed"},
    {ERR_PACK(ERR_LIB_ECIES, 0, ECIES_R_VERIFY_MAC_FAILED),
    "verify mac failed"},
    {0, NULL}
};

#endif

int ERR_load_ECIES_strings(void)
{
#ifndef OPENSSL_NO_ERR
    if (ERR_func_error_string(ECIES_str_functs[0].error) == NULL) {
        ERR_load_strings_const(ECIES_str_functs);
        ERR_load_strings_const(ECIES_str_reasons);
    }
#endif
    return 1;
}
